/*
This do file replicates the results in Tables 1-4 and Figure 1 in the article 
Brunnschweiler, Christa and Päivi Lujala 2017. Income and armed civil conflict: An instrumental variables approach. Peace Economics, Peace Science and Public Policy. 
DOI: https://doi.org/10.1515/peps-2017-0024
*/

sort COW year

*** Table 1: Descriptive statistics
sum onset2v414 lGDPperC_MAD  lpop_full_MAD polity2_10 loilreserves mt_gerrard ETHPOL Indp1945 col1903 D_Wars_1816_1910 costperword mailingspeed urbanization1920         if year>1945 & onset2v414!=.

*** Table 2: Reduced-form estimations
ivreg2 onset2v414 l.incidencev414  l.lpop_full_MAD     lmailingspeed ,  clust(COW)
ivreg2 onset2v414 l.incidencev414  l.lpop_full_MAD     ltelegram ,  clust(COW)
ivreg2 onset2v414 l.incidencev414  l.lpop_full_MAD       urbanization1920 ,  clust(COW)
ivreg2 onset2v414 l.incidencev414  l.lpop_full_MAD      ltelegram lmailingspeed urbanization1920,  clust(COW)

*** Table 3: Income and armed civil conict onset
probit onset2v414 l.lGDPperC_MAD l.lpop_full_MAD   l.incidencev414 , cl(COW)
reg onset2v414  l.lGDPperC_MAD l.lpop_full_MAD   l.incidencev414 , cl(COW)
reg onset2v414 l.lGDPperC_MAD l.lpop_full_MAD  l.polity2_10 l.sqpolity2_10 mt_gerrard ETHPOL  l.loilres  postcoldwar  Indp1945 l.incidencev414 , cl(COW)
ivreg2 onset2v414 l.incidencev414  l.lpop_full_MAD     (l.lGDPperC_MAD= lmailingspeed ), first clust(COW)
ivreg2 onset2v414 l.lpop_full_MAD     l.incidencev414     (l.lGDPperC_MAD= ltelegram ), first clust(COW)
ivreg2 onset2v414 l.incidencev414  l.lpop_full_MAD      (l.lGDPperC_MAD= urbanization1920 ), first clust(COW)
ivreg2 onset2v414 l.incidencev414  l.lpop_full_MAD     (l.lGDPperC_MAD= urbanization1920 ltelegram lmailingspeed), first clust(COW)
ivreg2 onset2v414 l.incidencev414  l.lpop_full_MAD l.polity2_10 l.sqpolity2_10 ETHPOL mt_gerrard  l.loilres  postcoldwar  Indp1945  (l.lGDPperC_MAD= ltelegram lmailingspeed urbanization1920), first clust(COW)

*** Table 4: IV sensitivity analysis
ivreg2 onset2v414 l.incidencev414  l.lpop_full_MAD (l.lGDPperC_MAD= ltelegram lmailingspeed), first clust(COW)
ivreg2 onset2v414 l.incidencev414  l.lpop_full_MAD (l.lGDPperC_MAD= ltelegram urbanization1920), first clust(COW)
ivreg2 onset2v414 l.incidencev414  l.lpop_full_MAD (l.lGDPperC_MAD= lmailingspeed urbanization1920), first clust(COW)
ivreg2 onset2v414 l.incidencev414  l.lpop_full_MAD col1903  D_Wars_1816_1910 (l.lGDPperC_MAD= ltelegram lmailingspeed urbanization1920), first clust(COW)

*** Figure 1: Scatter plots of rst-stage results for exogenous instruments.
reg l.lGDPperC_MAD l.incidencev414  l.lpop_full_MAD     lmailingspeed ,  clust(COW)
avplot lmailingspeed, recast(scatter) ytitle(Ln Income per capita) xtitle(Ln Mailing speed)
reg l.lGDPperC_MAD l.incidencev414  l.lpop_full_MAD        ltelegram ,  clust(COW)
avplot ltelegram, recast(scatter) ytitle(Ln Income per capita) xtitle(Ln Telegram charges)
reg l.lGDPperC_MAD l.incidencev414  l.lpop_full_MAD        urbanization1920 ,  clust(COW)
avplot urbanization1920, recast(scatter)  ytitle(Ln Income per capita) xtitle(Urbanization 1920)
reg l.lGDPperC_MAD l.incidencev414  l.lpop_full_MAD       urbanization1920 if PRIOcname!="Singapore" ,  clust(COW)
avplot urbanization1920, recast(scatter) ytitle(Ln Income per capita) xtitle(Urbanization 1920)

